diff --git a/ui/src/components/post-listing.tsx b/ui/src/components/post-listing.tsx
index e117a282..2d432bac 100644
--- a/ui/src/components/post-listing.tsx
+++ b/ui/src/components/post-listing.tsx
@@ -240,9 +240,11 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
             title={post.url}
             rel="noopener"
           >
-            <svg class="icon thumbnail">
-              <use xlinkHref="#icon-external-link"></use>
-            </svg>
+            <div class="thumbnail rounded bg-light d-flex justify-content-center">
+              <svg class="icon d-flex align-items-center">
+                <use xlinkHref="#icon-external-link"></use>
+              </svg>
+            </div>
           </a>
         );
       }
@@ -253,9 +255,11 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
           to={`/post/${post.id}`}
           title={i18n.t('comments')}
         >
-          <svg class="icon thumbnail">
-            <use xlinkHref="#icon-message-square"></use>
-          </svg>
+          <div class="thumbnail rounded bg-light d-flex justify-content-center">
+            <svg class="icon d-flex align-items-center">
+              <use xlinkHref="#icon-message-square"></use>
+            </svg>
+          </div>
         </Link>
       );
     }
@@ -298,7 +302,7 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
           )}
         </div>
         {!this.state.imageExpanded && (
-          <div class="col-3 col-sm-2 pr-0 mt-1">
+          <div class="col-3 col-sm-2 pr-0">
             <div class="position-relative">{this.thumbnail()}</div>
           </div>
         )}
@@ -562,7 +566,7 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
                       <>
                         <li className="list-inline-item">
                           <button
-                            class="btn btn-sm btn-link btn-animate text-muted"
+                            class="btn btn-link btn-animate text-muted"
                             onClick={linkEvent(this, this.handleSavePostClick)}
                             data-tippy-content={
                               post.saved ? i18n.t('unsave') : i18n.t('save')
@@ -579,7 +583,7 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
                         </li>
                         <li className="list-inline-item">
                           <Link
-                            class="btn btn-sm btn-link btn-animate text-muted"
+                            class="btn btn-link btn-animate text-muted"
                             to={`/create_post${this.crossPostParams}`}
                             title={i18n.t('cross_post')}
                           >
@@ -594,7 +598,7 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
                       <>
                         <li className="list-inline-item">
                           <button
-                            class="btn btn-sm btn-link btn-animate text-muted"
+                            class="btn btn-link btn-animate text-muted"
                             onClick={linkEvent(this, this.handleEditClick)}
                             data-tippy-content={i18n.t('edit')}
                           >
@@ -605,7 +609,7 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
                         </li>
                         <li className="list-inline-item">
                           <button
-                            class="btn btn-sm btn-link btn-animate text-muted"
+                            class="btn btn-link btn-animate text-muted"
                             onClick={linkEvent(this, this.handleDeleteClick)}
                             data-tippy-content={
                               !post.deleted
@@ -628,7 +632,7 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
                     {!this.state.showAdvanced && this.props.showBody ? (
                       <li className="list-inline-item">
                         <button
-                          class="btn btn-sm btn-link btn-animate text-muted"
+                          class="btn btn-link btn-animate text-muted"
                           onClick={linkEvent(this, this.handleShowAdvanced)}
                           data-tippy-content={i18n.t('more')}
                         >
@@ -642,7 +646,7 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
                         {this.props.showBody && post.body && (
                           <li className="list-inline-item">
                             <button
-                              class="btn btn-sm btn-link btn-animate text-muted"
+                              class="btn btn-link btn-animate text-muted"
                               onClick={linkEvent(this, this.handleViewSource)}
                               data-tippy-content={i18n.t('view_source')}
                             >
@@ -660,7 +664,7 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
                           <>
                             <li className="list-inline-item">
                               <button
-                                class="btn btn-sm btn-link btn-animate text-muted"
+                                class="btn btn-link btn-animate text-muted"
                                 onClick={linkEvent(this, this.handleModLock)}
                                 data-tippy-content={
                                   post.locked
@@ -679,7 +683,7 @@ export class PostListing extends Component<PostListingProps, PostListingState> {
                             </li>
                             <li className="list-inline-item">
                               <button
-                                class="btn btn-sm btn-link btn-animate text-muted"
+                                class="btn btn-link btn-animate text-muted"
                                 onClick={linkEvent(this, this.handleModSticky)}
                                 data-tippy-content={
                                   post.stickied
diff --git a/ui/src/components/post-listings.tsx b/ui/src/components/post-listings.tsx
index 80c9b1da..cd65d934 100644
--- a/ui/src/components/post-listings.tsx
+++ b/ui/src/components/post-listings.tsx
@@ -32,7 +32,7 @@ export class PostListings extends Component<PostListingsProps, any> {
                 enableDownvotes={this.props.enableDownvotes}
                 enableNsfw={this.props.enableNsfw}
               />
-              <hr class="my-2" />
+              <hr class="my-3" />
             </>
           ))
         ) : (
diff --git a/ui/src/components/post.tsx b/ui/src/components/post.tsx
index 87b44bc3..f21dd7dc 100644
--- a/ui/src/components/post.tsx
+++ b/ui/src/components/post.tsx
@@ -225,7 +225,7 @@ export class Post extends Component<any, PostState> {
       <>
         <div class="btn-group btn-group-toggle mr-3 mb-2">
           <label
-            className={`btn btn-sm btn-secondary pointer ${
+            className={`btn btn-outline-secondary pointer ${
               this.state.commentSort === CommentSortType.Hot && 'active'
             }`}
           >
@@ -238,7 +238,7 @@ export class Post extends Component<any, PostState> {
             />
           </label>
           <label
-            className={`btn btn-sm btn-secondary pointer ${
+            className={`btn btn-outline-secondary pointer ${
               this.state.commentSort === CommentSortType.Top && 'active'
             }`}
           >
@@ -251,7 +251,7 @@ export class Post extends Component<any, PostState> {
             />
           </label>
           <label
-            className={`btn btn-sm btn-secondary pointer ${
+            className={`btn btn-outline-secondary pointer ${
               this.state.commentSort === CommentSortType.New && 'active'
             }`}
           >
@@ -264,7 +264,7 @@ export class Post extends Component<any, PostState> {
             />
           </label>
           <label
-            className={`btn btn-sm btn-secondary pointer ${
+            className={`btn btn-outline-secondary pointer ${
               this.state.commentSort === CommentSortType.Old && 'active'
             }`}
           >
@@ -279,7 +279,7 @@ export class Post extends Component<any, PostState> {
         </div>
         <div class="btn-group btn-group-toggle mb-2">
           <label
-            className={`btn btn-sm btn-secondary pointer ${
+            className={`btn btn-outline-secondary pointer ${
               this.state.commentViewType === CommentViewType.Chat && 'active'
             }`}
           >
diff --git a/ui/src/components/private-message.tsx b/ui/src/components/private-message.tsx
index ac707930..c3e0c2c2 100644
--- a/ui/src/components/private-message.tsx
+++ b/ui/src/components/private-message.tsx
@@ -131,7 +131,7 @@ export class PrivateMessage extends Component<
                   <>
                     <li className="list-inline-item">
                       <button
-                        class="btn btn-link btn-sm btn-animate text-muted"
+                        class="btn btn-link btn-animate text-muted"
                         onClick={linkEvent(this, this.handleMarkRead)}
                         data-tippy-content={
                           message.read
@@ -150,7 +150,7 @@ export class PrivateMessage extends Component<
                     </li>
                     <li className="list-inline-item">
                       <button
-                        class="btn btn-link btn-sm btn-animate text-muted"
+                        class="btn btn-link btn-animate text-muted"
                         onClick={linkEvent(this, this.handleReplyClick)}
                         data-tippy-content={i18n.t('reply')}
                       >
@@ -165,7 +165,7 @@ export class PrivateMessage extends Component<
                   <>
                     <li className="list-inline-item">
                       <button
-                        class="btn btn-link btn-sm btn-animate text-muted"
+                        class="btn btn-link btn-animate text-muted"
                         onClick={linkEvent(this, this.handleEditClick)}
                         data-tippy-content={i18n.t('edit')}
                       >
@@ -176,7 +176,7 @@ export class PrivateMessage extends Component<
                     </li>
                     <li className="list-inline-item">
                       <button
-                        class="btn btn-link btn-sm btn-animate text-muted"
+                        class="btn btn-link btn-animate text-muted"
                         onClick={linkEvent(this, this.handleDeleteClick)}
                         data-tippy-content={
                           !message.deleted
@@ -197,7 +197,7 @@ export class PrivateMessage extends Component<
                 )}
                 <li className="list-inline-item">
                   <button
-                    class="btn btn-link btn-sm btn-animate text-muted"
+                    class="btn btn-link btn-animate text-muted"
                     onClick={linkEvent(this, this.handleViewSource)}
                     data-tippy-content={i18n.t('view_source')}
                   >
diff --git a/ui/src/components/search.tsx b/ui/src/components/search.tsx
index d1d99cee..aaeb4eac 100644
--- a/ui/src/components/search.tsx
+++ b/ui/src/components/search.tsx
@@ -207,7 +207,7 @@ export class Search extends Component<any, SearchState> {
         <select
           value={this.state.type_}
           onChange={linkEvent(this, this.handleTypeChange)}
-          class="custom-select custom-select-sm w-auto"
+          class="custom-select w-auto"
         >
           <option disabled>{i18n.t('type')}</option>
           <option value={SearchType.All}>{i18n.t('all')}</option>
@@ -402,7 +402,7 @@ export class Search extends Component<any, SearchState> {
       <div class="mt-2">
         {this.state.page > 1 && (
           <button
-            class="btn btn-sm btn-secondary mr-1"
+            class="btn btn-secondary mr-1"
             onClick={linkEvent(this, this.prevPage)}
           >
             {i18n.t('prev')}
@@ -411,7 +411,7 @@ export class Search extends Component<any, SearchState> {
 
         {this.resultsCount() > 0 && (
           <button
-            class="btn btn-sm btn-secondary"
+            class="btn btn-secondary"
             onClick={linkEvent(this, this.nextPage)}
           >
             {i18n.t('next')}
diff --git a/ui/src/components/sidebar.tsx b/ui/src/components/sidebar.tsx
index b600628f..8e50865e 100644
--- a/ui/src/components/sidebar.tsx
+++ b/ui/src/components/sidebar.tsx
@@ -75,7 +75,7 @@ export class Sidebar extends Component<SidebarProps, SidebarState> {
     }
     return (
       <div>
-        <div class="card border-secondary mb-3">
+        <div class="card bg-transparent border-secondary mb-3">
           <div class="card-body">
             <h5 className="mb-0">
               <span>{community.title}</span>
@@ -177,33 +177,33 @@ export class Sidebar extends Component<SidebarProps, SidebarState> {
             )}
             <ul class="my-1 list-inline">
               {/*
-              <li className="list-inline-item badge badge-secondary">
+              <li className="list-inline-item badge badge-light">
                 {i18n.t('number_online', { count: this.props.online })}
               </li>
               */}
-              <li className="list-inline-item badge badge-secondary">
+              <li className="list-inline-item badge badge-light">
                 {i18n.t('number_of_subscribers', {
                   count: community.number_of_subscribers,
                 })}
               </li>
-              <li className="list-inline-item badge badge-secondary">
+              <li className="list-inline-item badge badge-light">
                 {i18n.t('number_of_posts', {
                   count: community.number_of_posts,
                 })}
               </li>
-              <li className="list-inline-item badge badge-secondary">
+              <li className="list-inline-item badge badge-light">
                 {i18n.t('number_of_comments', {
                   count: community.number_of_comments,
                 })}
               </li>
               <li className="list-inline-item">
-                <Link className="badge badge-secondary" to="/communities">
+                <Link className="badge badge-light" to="/communities">
                   {community.category_name}
                 </Link>
               </li>
               <li className="list-inline-item">
                 <Link
-                  className="badge badge-secondary"
+                  className="badge badge-light"
                   to={`/modlog/community/${this.props.community.id}`}
                 >
                   {i18n.t('modlog')}
@@ -228,7 +228,7 @@ export class Sidebar extends Component<SidebarProps, SidebarState> {
             </ul>
             {/* TODO the to= needs to be able to handle community_ids as well, since they're federated */}
             <Link
-              class={`btn btn-sm btn-secondary btn-block mb-3 ${
+              class={`btn btn-secondary btn-block mb-3 ${
                 (community.deleted || community.removed) && 'no-click'
               }`}
               to={`/create_post?community=${community.name}`}
@@ -238,14 +238,14 @@ export class Sidebar extends Component<SidebarProps, SidebarState> {
             <div>
               {community.subscribed ? (
                 <button
-                  class="btn btn-sm btn-secondary btn-block"
+                  class="btn btn-secondary btn-block"
                   onClick={linkEvent(community.id, this.handleUnsubscribe)}
                 >
                   {i18n.t('unsubscribe')}
                 </button>
               ) : (
                 <button
-                  class="btn btn-sm btn-secondary btn-block"
+                  class="btn btn-secondary btn-block"
                   onClick={linkEvent(community.id, this.handleSubscribe)}
                 >
                   {i18n.t('subscribe')}
@@ -255,7 +255,7 @@ export class Sidebar extends Component<SidebarProps, SidebarState> {
           </div>
         </div>
         {community.description && (
-          <div class="card border-secondary">
+          <div class="card bg-transparent border-secondary">
             <div class="card-body">
               <div
                 className="md-div"
diff --git a/ui/src/components/sort-select.tsx b/ui/src/components/sort-select.tsx
index 33d65819..23069d3e 100644
--- a/ui/src/components/sort-select.tsx
+++ b/ui/src/components/sort-select.tsx
@@ -35,7 +35,7 @@ export class SortSelect extends Component<SortSelectProps, SortSelectState> {
         <select
           value={this.state.sort}
           onChange={linkEvent(this, this.handleSortChange)}
-          class="custom-select custom-select-sm w-auto mr-2"
+          class="custom-select w-auto mr-2"
         >
           <option disabled>{i18n.t('sort_type')}</option>
           {!this.props.hideHot && (
diff --git a/ui/src/components/user-details.tsx b/ui/src/components/user-details.tsx
index 339dc5e4..c990ce18 100644
--- a/ui/src/components/user-details.tsx
+++ b/ui/src/components/user-details.tsx
@@ -205,7 +205,7 @@ export class UserDetails extends Component<UserDetailsProps, UserDetailsState> {
       <div class="my-2">
         {this.props.page > 1 && (
           <button
-            class="btn btn-sm btn-secondary mr-1"
+            class="btn btn-secondary mr-1"
             onClick={linkEvent(this, this.prevPage)}
           >
             {i18n.t('prev')}
@@ -213,7 +213,7 @@ export class UserDetails extends Component<UserDetailsProps, UserDetailsState> {
         )}
         {this.state.comments.length + this.state.posts.length > 0 && (
           <button
-            class="btn btn-sm btn-secondary"
+            class="btn btn-secondary"
             onClick={linkEvent(this, this.nextPage)}
           >
             {i18n.t('next')}
diff --git a/ui/src/components/user-listing.tsx b/ui/src/components/user-listing.tsx
index 58475d3e..e4aa4c89 100644
--- a/ui/src/components/user-listing.tsx
+++ b/ui/src/components/user-listing.tsx
@@ -43,11 +43,10 @@ export class UserListing extends Component<UserListingProps, any> {
 
     return (
       <>
-        <Link className="text-body font-weight-bold" to={link}>
+        <Link className="text-info" to={link}>
           {user.avatar && showAvatars() && (
             <img
-              height="32"
-              width="32"
+              style="width: 2rem; height: 2rem;"
               src={pictrsAvatarThumbnail(user.avatar)}
               class="rounded-circle mr-2"
             />
diff --git a/ui/src/components/user.tsx b/ui/src/components/user.tsx
index 8ff5c392..5b1e133a 100644
--- a/ui/src/components/user.tsx
+++ b/ui/src/components/user.tsx
@@ -132,6 +132,7 @@ export class User extends Component<any, UserState> {
         open_registration: undefined,
         enable_nsfw: undefined,
       },
+      version: undefined,
     },
   };
 
@@ -266,7 +267,7 @@ export class User extends Component<any, UserState> {
     return (
       <div class="btn-group btn-group-toggle">
         <label
-          className={`btn btn-sm btn-secondary pointer btn-outline-light
+          className={`btn btn-outline-secondary pointer 
             ${this.state.view == UserDetailsView.Overview && 'active'}
           `}
         >
@@ -279,7 +280,7 @@ export class User extends Component<any, UserState> {
           {i18n.t('overview')}
         </label>
         <label
-          className={`btn btn-sm btn-secondary pointer btn-outline-light
+          className={`btn btn-outline-secondary pointer 
             ${this.state.view == UserDetailsView.Comments && 'active'}
           `}
         >
@@ -292,7 +293,7 @@ export class User extends Component<any, UserState> {
           {i18n.t('comments')}
         </label>
         <label
-          className={`btn btn-sm btn-secondary pointer btn-outline-light
+          className={`btn btn-outline-secondary pointer 
             ${this.state.view == UserDetailsView.Posts && 'active'}
           `}
         >
@@ -305,7 +306,7 @@ export class User extends Component<any, UserState> {
           {i18n.t('posts')}
         </label>
         <label
-          className={`btn btn-sm btn-secondary pointer btn-outline-light
+          className={`btn btn-outline-secondary pointer 
             ${this.state.view == UserDetailsView.Saved && 'active'}
           `}
         >
@@ -350,7 +351,7 @@ export class User extends Component<any, UserState> {
     let user = this.state.user;
     return (
       <div>
-        <div class="card border-secondary mb-3">
+        <div class="card bg-transparent border-secondary mb-3">
           <div class="card-body">
             <h5>
               <ul class="list-inline mb-0">
@@ -447,7 +448,7 @@ export class User extends Component<any, UserState> {
   userSettings() {
     return (
       <div>
-        <div class="card border-secondary mb-3">
+        <div class="card bg-transparent border-secondary mb-3">
           <div class="card-body">
             <h5>{i18n.t('settings')}</h5>
             <form onSubmit={linkEvent(this, this.handleUserSettingsSubmit)}>
@@ -459,7 +460,7 @@ export class User extends Component<any, UserState> {
                     class="pointer ml-4 text-muted small font-weight-bold"
                   >
                     {!this.checkSettingsAvatar ? (
-                      <span class="btn btn-sm btn-secondary">
+                      <span class="btn btn-secondary">
                         {i18n.t('upload_avatar')}
                       </span>
                     ) : (
@@ -499,7 +500,7 @@ export class User extends Component<any, UserState> {
                 <select
                   value={this.state.userSettingsForm.lang}
                   onChange={linkEvent(this, this.handleUserSettingsLangChange)}
-                  class="ml-2 custom-select custom-select-sm w-auto"
+                  class="ml-2 custom-select w-auto"
                 >
                   <option disabled>{i18n.t('language')}</option>
                   <option value="browser">{i18n.t('browser_default')}</option>
@@ -514,7 +515,7 @@ export class User extends Component<any, UserState> {
                 <select
                   value={this.state.userSettingsForm.theme}
                   onChange={linkEvent(this, this.handleUserSettingsThemeChange)}
-                  class="ml-2 custom-select custom-select-sm w-auto"
+                  class="ml-2 custom-select w-auto"
                 >
                   <option disabled>{i18n.t('theme')}</option>
                   {themes.map(theme => (
@@ -775,7 +776,7 @@ export class User extends Component<any, UserState> {
     return (
       <div>
         {this.state.moderates.length > 0 && (
-          <div class="card border-secondary mb-3">
+          <div class="card bg-transparent border-secondary mb-3">
             <div class="card-body">
               <h5>{i18n.t('moderates')}</h5>
               <ul class="list-unstyled mb-0">
@@ -798,7 +799,7 @@ export class User extends Component<any, UserState> {
     return (
       <div>
         {this.state.follows.length > 0 && (
-          <div class="card border-secondary mb-3">
+          <div class="card bg-transparent border-secondary mb-3">
             <div class="card-body">
               <h5>{i18n.t('subscribed')}</h5>
               <ul class="list-unstyled mb-0">
